Home

TzKT API

v1.13.3
Base URLs
https://xtz-index.nownodes.io
https://xtz.nownodes.io

Authentication

api-keyAuthapiKey

API Key: api-key in header

Indexer

Accounts

Get accounts

GET
https://xtz-index.nownodes.io/v1/accounts

Returns a list of accounts.

Parameters

idInt32Parameter | nullquery

Filters by internal id.

addressAddressParameter | nullquery

Filters by address.

typeAccountTypeParameter | nullquery

Filters accounts by type (user, delegate, contract, rollup, smart_rollup, ghost).

kindContractKindParameter | nullquery

Filters accounts by contract kind (delegator_contract or smart_contract)

delegateAccountParameter | nullquery

Filters accounts by delegate. Allowed fields for .eqx mode: none.

balanceInt64Parameter | nullquery

Filters accounts by balance

stakedBoolParameter | nullquery

Filters accounts by participation in staking

lastActivityInt32Parameter | nullquery

Filters accounts by last activity level (where the account was updated)

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts delegators by specified field. Supported fields: id (default), balance, rollupBonds, firstActivity, lastActivity, numTransactions, numContracts.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get accounts count

GET
https://xtz-index.nownodes.io/v1/accounts/count

Returns a number of accounts.

Parameters

typeAccountTypeParameter | nullquery

Filters accounts by type (user, delegate, contract, rollup, smart_rollup, ghost).

kindContractKindParameter | nullquery

Filters accounts by contract kind (delegator_contract or smart_contract)

balanceInt64Parameter | nullquery

Filters accounts by balance

stakedBoolParameter | nullquery

Filters accounts by participation in staking

firstActivityInt32Parameter | nullquery

Filters accounts by first activity level (where the account was created)

Response

200OK

Authorization

api-keyAuthapiKey in header

Get account by address

GET
https://xtz-index.nownodes.io/v1/accounts/{address}

Returns an account with the specified address.

Parameters

addressstringrequiredpath

Account address

legacybooleantruequery

If true (by default), the metadata field will contain tzkt profile info, or TZIP-16 metadata otherwise. This is a part of a deprecation mechanism, allowing smooth migration.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get account contracts

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/contracts

Returns a list of contracts created by (or related to) the specified account.

Parameters

addressstringrequiredpath

Account address (starting with tz or KT)

sortSortParameter | nullquery

Sorts contracts by specified field. Supported fields: id (default, desc), balance, creationLevel.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get account delegators

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/delegators

Returns a list of accounts delegated to the specified account.

Parameters

addressstringrequiredpath

Account address (starting with tz)

typeAccountTypeParameter | nullquery

Filters delegators by type (user, delegate, contract, rollup, smart_rollup, ghost).

balanceInt64Parameter | nullquery

Filters delegators by balance.

delegationLevelInt32Parameter | nullquery

Number of items to skip

sortSortParameter | nullquery

Sorts delegators by specified field. Supported fields: delegationLevel (default, desc), balance.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get account operations

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/operations

Returns a list of operations related to the specified account. Note: for better flexibility this endpoint accumulates query parameters (filters) of each /operations/{type} endpoint, so a particular filter may affect several operation types containing this filter. For example, if you specify an initiator it will affect all transactions, delegations and originations, because all these types have an initiator field.
NOTE: if you know in advance what operation type you want to get (e.g. transactions), prefer using /v1/operations/{type} (e.g. /v1/operations/transactions) instead, because it's much more efficient and way more flexible.

Parameters

addressstringrequiredpath

Account address

typestring | nullquery

Comma separated list of operation types to return (endorsement, preendorsement, ballot, proposal, activation, double_baking, double_endorsing, double_preendorsing, nonce_revelation, vdf_revelation, delegation, origination, transaction, reveal, register_constant, set_deposits_limit, increase_paid_storage, tx_rollup_origination, tx_rollup_submit_batch, tx_rollup_commit, tx_rollup_return_bond, tx_rollup_finalize_commitment, tx_rollup_remove_commitment, tx_rollup_rejection, tx_rollup_dispatch_tickets, transfer_ticket, migration, update_consensus_key, drain_delegate, sr_add_messages, sr_cement, sr_execute, sr_originate, sr_publish, sr_recover_bond, sr_refute, revelation_penalty, baking, endorsing_reward). If not specified then the default set will be returned.

initiatorAccountParameter | nullquery

Filters transactions, delegations and originations by initiator. Allowed fields for .eqx mode: none.

senderAccountParameter | nullquery

Filters transactions, delegations, originations, reveals and seed nonce revelations by sender. Allowed fields for .eqx mode: none.

targetAccountParameter | nullquery

Filters transactions by target. Allowed fields for .eqx mode: none.

prevDelegateAccountParameter | nullquery

Filters delegations by prev delegate. Allowed fields for .eqx mode: none.

newDelegateAccountParameter | nullquery

Filters delegations by new delegate. Allowed fields for .eqx mode: none.

contractManagerAccountParameter | nullquery

Filters origination operations by manager. Allowed fields for .eqx mode: none.

contractDelegateAccountParameter | nullquery

Filters origination operations by delegate. Allowed fields for .eqx mode: none.

originatedContractAccountParameter | nullquery

Filters origination operations by originated contract. Allowed fields for .eqx mode: none.

accuserAccountParameter | nullquery

Filters double baking and double endorsing by accuser. Allowed fields for .eqx mode: none.

offenderAccountParameter | nullquery

Filters double baking and double endorsing by offender. Allowed fields for .eqx mode: none.

bakerAccountParameter | nullquery

Filters seed nonce revelation operations by baker. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters operations by level.

timestampDateTimeParameter | nullquery

Filters operations by timestamp.

entrypointStringParameter | nullquery

Filters transactions by entrypoint called on the target contract.

parameterJsonParameter | nullquery

Filters transactions by parameter value. Note, this query parameter supports the following format: ?parameter{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?parameter.token_id=... or ?parameter.sigs.0.ne=....

hasInternalsBoolParameter | nullquery

Filters transactions by presence of internal operations.

statusOperationStatusParameter | nullquery

Filters transactions, delegations, originations and reveals by operation status (applied, failed, backtracked, skipped).

sortSortModeDescendingquery

Sort mode (0 - ascending, 1 - descending), operations of different types can only be sorted by ID.

lastIdinteger<int64> | nullquery

Id of the last operation received, which is used as an offset for pagination

limitinteger<int32>[0, 1000]100query

Number of items to return

michelineMichelineFormatJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get counter

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/counter

Returns account counter

Parameters

addressstringrequiredpath

Account address (starting with tz or KT)

Response

200OK

Authorization

api-keyAuthapiKey in header

Get balance

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/balance

Returns account balance

Parameters

addressstringrequiredpath

Account address (starting with tz or KT)

Response

200OK

Authorization

api-keyAuthapiKey in header

Get balance at level

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/balance_history/{level}

Returns account balance at the specified block

Parameters

addressstringrequiredpath

Account address (starting with tz or KT)

levelinteger<int32>requiredpath

Block height at which you want to know account balance

Response

200OK

Authorization

api-keyAuthapiKey in header

Get balance at date

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/balance_history/{datetime}

Returns account balance at the specified datetime

Parameters

addressstringrequiredpath

Account address (starting with tz or KT)

datetimestring<date-time>requiredpath

Datetime at which you want to know account balance (e.g. 2020-01-01, or 2019-12-30T23:42:59Z)

Response

200OK

Authorization

api-keyAuthapiKey in header

Get balance history

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/balance_history

Returns time series with historical balances (only changes, without duplicates).

Parameters

addressstringrequiredpath

Account address (starting with tz or KT)

stepinteger<int32> | nullquery

Step of the time series, for example if step = 1000 you will get balances at blocks 1000, 2000, 3000, ....

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts historical balances by specified field. Supported fields: level.

offsetinteger<int32>0query

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get account report

GET
https://xtz-index.nownodes.io/v1/accounts/{address}/report

Exports account balance report in .csv format

Parameters

addressstringrequiredpath

Account address (starting with tz or KT)

fromstring<date-time> | nullquery

Start of the datetime range to filter by (ISO 8601, e.g. 2019-11-31)

tostring<date-time> | nullquery

End of the datetime range to filter by (ISO 8601, e.g. 2019-12-31)

currencystring | nullquery

Currency to convert amounts to (btc, eur, usd, cny, jpy, krw, eth, gbp)

historicalbooleanfalsequery

true if you want to use historical prices, false to use current price

delimiterstring | nullcommaquery

Column delimiter (comma, semicolon)

separatorstring | nullpointquery

Decimal separator (comma, point)

Response

200OK

Authorization

api-keyAuthapiKey in header

BigMaps

Get bigmaps count

GET
https://xtz-index.nownodes.io/v1/bigmaps/count

Returns the total number of bigmaps.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmaps

GET
https://xtz-index.nownodes.io/v1/bigmaps

Returns a list of bigmaps.

Parameters

contractAccountParameter | nullquery

Filters bigmaps by smart contract address.

pathStringParameter | nullquery

Filters bigmaps by path in the contract storage.

tagsBigMapTagsParameter | nullquery

Filters bigmaps by tags: metadata, token_metadata, ledger.

activeboolean | nullquery

Filters bigmaps by status: true - active, false - removed.

lastLevelInt32Parameter | nullquery

Filters bigmaps by the last update level.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts bigmaps by specified field. Supported fields: id (default), ptr, firstLevel, lastLevel, totalKeys, activeKeys, updates.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the bigmap key and value type: 0 - JSON, 2 - Micheline

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap keys

GET
https://xtz-index.nownodes.io/v1/bigmaps/keys

Returns a list of all bigmap keys.

Parameters

idInt32Parameter | nullquery

Filter by internal TzKT id.
Click on the parameter to expand more details.

bigmapInt32Parameter | nullquery

Filter by bigmap ptr.
Click on the parameter to expand more details.

activeboolean | nullquery

Filters by status: true - active, false - removed.

hashExpressionParameter | nullquery

Filter by key hash.
Click on the parameter to expand more details.

keyJsonParameter | nullquery

Filter by key.
Note, this parameter supports the following format: key{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by (for example, ?key.foo.in=bar,baz).
Click on the parameter to expand more details.

valueJsonParameter | nullquery

Filter by value.
Note, this parameter supports the following format: value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by (for example, ?value.foo.in=bar,baz).
Click on the parameter to expand more details.

firstLevelInt32Parameter | nullquery

Filter by level of the block where the key was first seen.
Click on the parameter to expand more details.

firstTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the key was first seen.
Click on the parameter to expand more details.

lastLevelInt32Parameter | nullquery

Filter by level of the block where the key was last seen.
Click on the parameter to expand more details.

lastTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the key was last seen.
Click on the parameter to expand more details.

updatesInt32Parameter | nullquery

Filter by number of actions with the bigmap key.
Click on the parameter to expand more details.

sortSortParameter | nullquery

Sorts items (asc or desc) by the specified field. You can see what fields can be used for sorting in the response description, below.
Click on the parameter to expand more details.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped.
Click on the parameter to expand more details.

limitinteger<int32>[0, 10000]query

Maximum number of items to return.

selectSelectionParameter | nullquery

Specify a comma-separated list of fields to include into response or leave it undefined to get default set of fields. This parameter accepts values of the following format: {field}{path?}{as alias?}, so you can do deep selection (for example, ?select=balance,token.metadata.symbol as token,...).
Note, if you select just one field, the response will be flatten into a simple array of values.
Click on the parameter to expand the details.

michelineMichelineFormatJsonquery

Format of the key and value fields: 0 - JSON, 2 - Micheline

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap updates count

GET
https://xtz-index.nownodes.io/v1/bigmaps/updates/count

Returns a total number of bigmap updates.

Parameters

bigmapInt32Parameter | nullquery

Filters by bigmap ptr

pathStringParameter | nullquery

Filters by bigmap path

contractAccountParameter | nullquery

Filters by bigmap contract

tagsBigMapTagsParameter | nullquery

Filters by bigmap tags: metadata, token_metadata, ledger

actionBigMapActionParameter | nullquery

Filters by action

valueJsonParameter | nullquery

Filters by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

levelInt32Parameter | nullquery

Filters by level

timestampTimestampParameter | nullquery

Filters by timestamp

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap updates

GET
https://xtz-index.nownodes.io/v1/bigmaps/updates

Returns a list of all bigmap updates.

Parameters

bigmapInt32Parameter | nullquery

Filters by bigmap ptr

pathStringParameter | nullquery

Filters by bigmap path

contractAccountParameter | nullquery

Filters by bigmap contract

tagsBigMapTagsParameter | nullquery

Filters by bigmap tags: metadata, token_metadata, ledger

actionBigMapActionParameter | nullquery

Filters by action

valueJsonParameter | nullquery

Filters by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

levelInt32Parameter | nullquery

Filters by level

timestampTimestampParameter | nullquery

Filters by timestamp

sortSortParameter | nullquery

Sorts bigmaps by specified field. Supported fields: id (default), ptr, firstLevel, lastLevel, totalKeys, activeKeys, updates.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the bigmap key and value type: 0 - JSON, 2 - Micheline

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap by Id

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}

Returns a bigmap with the specified Id.

Parameters

idinteger<int32>requiredpath

Bigmap Id

michelineMichelineFormatJsonquery

Format of the bigmap key and value type: 0 - JSON, 2 - Micheline

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap type

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}/type

Returns a type of the bigmap with the specified Id in Micheline format (with annotations).

Parameters

idinteger<int32>requiredpath

Bigmap Id

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap keys

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}/keys

Returns a list of bigmap keys.

Parameters

idinteger<int32>requiredpath

Bigmap Id

activeboolean | nullquery

Filters keys by status: true - active, false - removed.

keyJsonParameter | nullquery

Filters keys by JSON key. Note, this query parameter supports the following format: ?key{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?key.token_id=....

valueJsonParameter | nullquery

Filters keys by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

lastLevelInt32Parameter | nullquery

Filters bigmap keys by the last update level.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts bigmap keys by specified field. Supported fields: id (default), firstLevel, lastLevel, updates.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap key

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}/keys/{key}

Returns the specified bigmap key.

Parameters

idinteger<int32>requiredpath

Bigmap Id

keystringrequiredpath

Either a key hash (expr123...) or a plain value (foo...). Even if the key is complex (an object or an array), you can specify it as is, for example, /keys/{"address":"tz123","nat":"123"}.

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap key updates

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}/keys/{key}/updates

Returns updates history for the specified bigmap key.

Parameters

idinteger<int32>requiredpath

Bigmap Id

keystringrequiredpath

Either a key hash (expr123...) or a plain value (foo...). Even if the key is complex (an object or an array), you can specify it as is, for example, /keys/{"address":"tz123","nat":"123"}.

sortSortParameter | nullquery

Sorts bigmap updates by specified field. Supported fields: id (default).

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the key value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get historical keys

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}/historical_keys/{level}

Returns a list of bigmap keys at the specific block.

Parameters

idinteger<int32>requiredpath

Bigmap Id

levelinteger<int32>requiredpath

Level of the block at which you want to get bigmap keys

activeboolean | nullquery

Filters keys by status: true - active, false - removed.

keyJsonParameter | nullquery

Filters keys by JSON key. Note, this query parameter supports the following format: ?key{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?key.token_id=....

valueJsonParameter | nullquery

Filters keys by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts bigmap keys by specified field. Supported fields: id (default).

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get historical key

GET
https://xtz-index.nownodes.io/v1/bigmaps/{id}/historical_keys/{level}/{key}

Returns the specified bigmap key at the specific block.

Parameters

idinteger<int32>requiredpath

Bigmap Id

levelinteger<int32>requiredpath

Level of the block at which you want to get bigmap key

keystringrequiredpath

Either a key hash (expr123...) or a plain value (foo...). Even if the key is complex (an object or an array), you can specify it as is, for example, /keys/{"address":"tz123","nat":"123"}.

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Blocks

Get blocks count

GET
https://xtz-index.nownodes.io/v1/blocks/count

Returns the total number of blocks.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get blocks

GET
https://xtz-index.nownodes.io/v1/blocks

Returns a list of blocks.

Parameters

bakerAccountParameter | nullquery

[DEPRECATED]

anyofAnyOfParameter | nullquery

Filters by any of the specified fields. Example: anyof.proposer.producer=tz1....

proposerAccountParameter | nullquery

Filters blocks by block proposer. Allowed fields for .eqx mode: none.

producerAccountParameter | nullquery

Filters blocks by block producer. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters blocks by level.

timestampDateTimeParameter | nullquery

Filters blocks by timestamp.

priorityInt32Parameter | nullquery

[DEPRECATED]

blockRoundInt32Parameter | nullquery

Filters blocks by block round.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts blocks by specified field. Supported fields: id (default), level, payloadRound, blockRound, validations, reward, bonus, fees.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get block by hash

GET
https://xtz-index.nownodes.io/v1/blocks/{hash}

Returns a block with the specified hash.

Parameters

hashstringrequiredpath

Block hash

operationsbooleanfalsequery

Flag indicating whether to include block operations into returned object or not

michelineMichelineFormatJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get block by level

GET
https://xtz-index.nownodes.io/v1/blocks/{level}

Returns a block at the specified level.

Parameters

levelinteger<int32>requiredpath

Block level

operationsbooleanfalsequery

Flag indicating whether to include block operations into returned object or not

michelineMichelineFormatJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get timestamp by level

GET
https://xtz-index.nownodes.io/v1/blocks/{level}/timestamp

Returns a timestamp of the block at the specified level.

Parameters

levelinteger<int32>requiredpath

Block level

Response

200OK

Authorization

api-keyAuthapiKey in header

Get block by timestamp

GET
https://xtz-index.nownodes.io/v1/blocks/{timestamp}

Returns a block closest to the specified timestamp.

Parameters

timestampstring<date-time>requiredpath

Timestamp, e.g. 2020-01-01T00:00:00Z

operationsbooleanfalsequery

Flag indicating whether to include block operations into returned object or not

michelineMichelineFormatJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get level by timestamp

GET
https://xtz-index.nownodes.io/v1/blocks/{timestamp}/level

Returns a level of the block closest to the specified timestamp.

Parameters

timestampstring<date-time>requiredpath

Timestamp, e.g. 2020-01-01T00:00:00Z

Response

200OK

Authorization

api-keyAuthapiKey in header

Commitments

Get commitment by blinded address

GET
https://xtz-index.nownodes.io/v1/commitments/{address}

Returns a commitment with the specified blinded address.

Parameters

addressstringrequiredpath

Blinded address (starting with btz)

Response

200OK

Authorization

api-keyAuthapiKey in header

Get commitments

GET
https://xtz-index.nownodes.io/v1/commitments

Returns a list of commitments.

Parameters

activatedboolean | nullquery

Filters commitments by activation status

activationLevelInt32NullParameter | nullquery

Filters commitments by activation level

balanceInt64Parameter | nullquery

Filters commitments by activated balance

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts delegators by specified field. Supported fields: id (default), balance, activationLevel.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get commitments count

GET
https://xtz-index.nownodes.io/v1/commitments/count

Returns a number of commitments.

Parameters

activatedboolean | nullquery

Filters commitments by activation status

balanceInt64Parameter | nullquery

Filters commitments by activated balance

Response

200OK

Authorization

api-keyAuthapiKey in header

Constants

Get global constants

GET
https://xtz-index.nownodes.io/v1/constants

Returns a list of global constants.

Parameters

addressExpressionParameter | nullquery

Filters constants by global address (starts with expr..).

creationLevelInt32Parameter | nullquery

Filters constants by creation level.

creationTimeTimestampParameter | nullquery

Filters constants by creation time.

creatorAccountParameter | nullquery

Filters constants by creator.

refsInt32Parameter | nullquery

Filters constants by number of refs.

sizeInt32Parameter | nullquery

Filters constants by size in bytes.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts delegators by specified field. Supported fields: id (default), creationLevel, size, refs.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

formatinteger<int32>[0, 2]0query

Constant value format (0 - micheline, 1 - michelson, 2 - bytes (base64))

Response

200OK

Authorization

api-keyAuthapiKey in header

Get global constant by address

GET
https://xtz-index.nownodes.io/v1/constants/{address}

Returns global constant with specified address (expression hash).

Parameters

addressstringrequiredpath

Global address (starts with expr..)

formatinteger<int32>[0, 2]0query

Constant value format (0 - micheline, 1 - michelson, 2 - bytes (base64))

Response

200OK

Authorization

api-keyAuthapiKey in header

Get global constants count

GET
https://xtz-index.nownodes.io/v1/constants/count

Returns a number of global constants.

Parameters

refsInt32Parameter | nullquery

Filters constants by number of refs.

Response

200OK

Authorization

api-keyAuthapiKey in header

Contracts

Get contracts

GET
https://xtz-index.nownodes.io/v1/contracts

Returns a list of contract accounts.

Parameters

idInt64Parameter | nullquery

Filter by internal TzKT id.
Click on the parameter to expand more details.

addressAddressParameter | nullquery

Filter by address.
Click on the parameter to expand more details.

kindContractKindParameter | nullquery

Filter by kind (delegator_contract, smart_contract, or asset).
Click on the parameter to expand more details.

tzipsContractTagsParameter | nullquery

Filter by tzips (fa1, fa12, or fa2).
Click on the parameter to expand more details.

balanceInt64Parameter | nullquery

Filter by balance.
Click on the parameter to expand more details.

creatorAccountParameter | nullquery

Filter by creator.
Click on the parameter to expand more details.

managerAccountParameter | nullquery

Filter by manager.
Click on the parameter to expand more details.

delegateAccountParameter | nullquery

Filter by delegate.
Click on the parameter to expand more details.

firstActivityInt32Parameter | nullquery

Filter by level of the block where the contract was first seen.
Click on the parameter to expand more details.

firstActivityTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the contract was first seen.
Click on the parameter to expand more details.

lastActivityInt32Parameter | nullquery

Filter by level of the block where the contract was last seen.
Click on the parameter to expand more details.

lastActivityTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the contract was last seen.
Click on the parameter to expand more details.

typeHashInt32Parameter | nullquery

Filter by 32-bit hash of contract parameter and storage types (helpful for searching similar contracts).
Click on the parameter to expand more details.

codeHashInt32Parameter | nullquery

Filter by 32-bit hash of contract code (helpful for searching same contracts).
Click on the parameter to expand more details.

sortSortParameter | nullquery

Sorts items (asc or desc) by the specified field. You can see what fields can be used for sorting in the response description, below.
Click on the parameter to expand more details.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped.
Click on the parameter to expand more details.

limitinteger<int32>[0, 10000]query

Maximum number of items to return.

selectSelectionParameter | nullquery

Specify a comma-separated list of fields to include into response or leave it undefined to get default set of fields. This parameter accepts values of the following format: {field}{path?}{as alias?}, so you can do deep selection (for example, ?select=balance,token.metadata.symbol as token,...).
Note, if you select just one field, the response will be flatten into a simple array of values.
Click on the parameter to expand the details.

includeStoragebooleanfalsequery

Specifies whether to include contract storage into response.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contracts count

GET
https://xtz-index.nownodes.io/v1/contracts/count

Returns a number of contract accounts.

Parameters

idInt64Parameter | nullquery

Filter by internal TzKT id.
Click on the parameter to expand more details.

addressAddressParameter | nullquery

Filter by address.
Click on the parameter to expand more details.

kindContractKindParameter | nullquery

Filter by kind (delegator_contract, smart_contract, or asset).
Click on the parameter to expand more details.

tzipsContractTagsParameter | nullquery

Filter by tzips (fa1, fa12, or fa2).
Click on the parameter to expand more details.

balanceInt64Parameter | nullquery

Filter by balance.
Click on the parameter to expand more details.

creatorAccountParameter | nullquery

Filter by creator.
Click on the parameter to expand more details.

managerAccountParameter | nullquery

Filter by manager.
Click on the parameter to expand more details.

delegateAccountParameter | nullquery

Filter by delegate.
Click on the parameter to expand more details.

firstActivityInt32Parameter | nullquery

Filter by level of the block where the contract was first seen.
Click on the parameter to expand more details.

firstActivityTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the contract was first seen.
Click on the parameter to expand more details.

lastActivityInt32Parameter | nullquery

Filter by level of the block where the contract was last seen.
Click on the parameter to expand more details.

lastActivityTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the contract was last seen.
Click on the parameter to expand more details.

typeHashInt32Parameter | nullquery

Filter by 32-bit hash of contract parameter and storage types (helpful for searching similar contracts).
Click on the parameter to expand more details.

codeHashInt32Parameter | nullquery

Filter by 32-bit hash of contract code (helpful for searching same contracts).
Click on the parameter to expand more details.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract by address

GET
https://xtz-index.nownodes.io/v1/contracts/{address}

Returns a contract account with the specified address.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

legacybooleantruequery

If true (by default), the metadata field will contain tzkt profile info, or TZIP-16 metadata otherwise. This is a part of a deprecation mechanism, allowing to switch to new functionality smoothly.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get same contracts

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/same

Returns contracts which have the same script as the specified one. Note, contract scripts are compared by 32-bit hash, so in very rare cases there may be collisions.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

sortSortParameter | nullquery

Sorts items (asc or desc) by the specified field. You can see what fields can be used for sorting in the response description, below.
Click on the parameter to expand more details.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped.
Click on the parameter to expand more details.

limitinteger<int32>[0, 10000]query

Maximum number of items to return.

selectSelectionParameter | nullquery

Specify a comma-separated list of fields to include into response or leave it undefined to get default set of fields. This parameter accepts values of the following format: {field}{path?}{as alias?}, so you can do deep selection (for example, ?select=balance,token.metadata.symbol as token,...).
Note, if you select just one field, the response will be flatten into a simple array of values.
Click on the parameter to expand the details.

includeStoragebooleanfalsequery

Specifies whether to include contract storage value in response.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get similar contracts

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/similar

Returns contracts which have the same interface (parameter and storage types) as the specified one. Note, contract parameter and storage types are compared by 32-bit hash, so in very rare cases there may be collisions.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

sortSortParameter | nullquery

Sorts items (asc or desc) by the specified field. You can see what fields can be used for sorting in the response description, below.
Click on the parameter to expand more details.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped.
Click on the parameter to expand more details.

limitinteger<int32>[0, 10000]query

Maximum number of items to return.

selectSelectionParameter | nullquery

Specify a comma-separated list of fields to include into response or leave it undefined to get default set of fields. This parameter accepts values of the following format: {field}{path?}{as alias?}, so you can do deep selection (for example, ?select=balance,token.metadata.symbol as token,...).
Note, if you select just one field, the response will be flatten into a simple array of values.
Click on the parameter to expand the details.

includeStoragebooleanfalsequery

Specifies whether to include contract storage value in response.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract code

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/code

Returns a code of the specified contract.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

levelinteger<int32>0query

Level at which contract code should be taken. If 0 or not specified, the current value will be returned.

formatinteger<int32>[0, 2]0query

Code format (0 - micheline, 1 - michelson, 2 - bytes (base64))

Response

200OK

Authorization

api-keyAuthapiKey in header

Get JSON Schema [2020-12] interface for the contract

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/interface

Returns standard JSON Schema for contract storage, entrypoints, and Big_map entries.

Parameters

addressstringrequiredpath

Contract address

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract entrypoints

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/entrypoints

Returns entrypoints of the specified contract.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

allbooleanfalsequery

If true, returns all entrypoints, including unused ones. Unused means that the entrypoint can be normalized to a more specific one. For example here (or %entry1 (unit %entry2) (nat %entry3)) the %entry1 is unused entrypoint because it can be normalized to %entry2 or %entry3

jsonbooleantruequery

Include parameters schema in human-readable JSON format

michelinebooleanfalsequery

Include parameters schema in micheline format

michelsonbooleanfalsequery

Include parameters schema in michelson format

Response

200OK

Authorization

api-keyAuthapiKey in header

Get entrypoint by name

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/entrypoints/{name}

Returns contract's entrypoint with specified name.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

namestringrequiredpath

Entrypoint name

jsonbooleantruequery

Include parameters schema in human-readable JSON format

michelinebooleanfalsequery

Include parameters schema in micheline format

michelsonbooleanfalsequery

Include parameters schema in michelson format

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract views

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/views

Returns all views of the specified contract.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

jsonbooleantruequery

Include parameter and return types in human-readable JSON format

michelinebooleanfalsequery

Include parameter and return types in micheline format

michelsonbooleanfalsequery

Include parameter and return types in michelson format

Response

200OK

Authorization

api-keyAuthapiKey in header

Get view by name

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/views/{name}

Returns contract view with specified name.

Parameters

addressstringrequiredpath

Contract address (starting with KT)

namestringrequiredpath

View name

jsonbooleantruequery

Include parameter and return types in human-readable JSON format

michelinebooleanfalsequery

Include parameter and return types in micheline format

michelsonbooleanfalsequery

Include parameter and return types in michelson format

Response

200OK

Authorization

api-keyAuthapiKey in header

Build entrypoint parameters

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/entrypoints/{name}/build

Returns micheline parameters converted from its JSON representation.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Entrypoint name

valuestring | nullquery

Json parameters

Response

200OK

Authorization

api-keyAuthapiKey in header

Build entrypoint parameters

POST
https://xtz-index.nownodes.io/v1/contracts/{address}/entrypoints/{name}/build

Returns micheline parameters converted from its JSON representation.

Body

application/json

Json parameters

any

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Entrypoint name

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract storage

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/storage

Returns contract storage value in JSON format.

Parameters

addressstringrequiredpath

Contract address

levelinteger<int32>0query

Level at which storage value should be taken. If 0 or not specified, the current value will be returned.

pathstring | nullquery

Path in the JSON value (point-separated list of field names, e.g. path=settings.refund_time to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract storage schema

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/storage/schema

Returns JSON schema of the contract storage.

Parameters

addressstringrequiredpath

Contract address

levelinteger<int32>0query

Level at which storage schema should be taken. If 0 or not specified, the current schema will be returned.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract storage history

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/storage/history

Returns contract storage historical values.

Parameters

addressstringrequiredpath

Contract address

lastIdinteger<int32>0query

Id of the last item received (for pagination)

limitinteger<int32>[0, 1000]10query

Maximum number of items to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get raw contract storage

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/storage/raw

Returns raw contract storage value in micheline format.

Parameters

addressstringrequiredpath

Contract address

levelinteger<int32>0query

Level at which storage value should be taken. If 0 or not specified, the current value will be returned.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get raw contract storage schema

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/storage/raw/schema

Returns micheline schema (type) of the contract storage.

Parameters

addressstringrequiredpath

Contract address

levelinteger<int32>0query

Level at which storage schema should be taken. If 0 or not specified, the current schema will be returned.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get raw contract storage history

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/storage/raw/history

Returns raw contract storage historical values.

Parameters

addressstringrequiredpath

Contract address

lastIdinteger<int32>0query

Id of the last item received (for pagination)

limitinteger<int32>[0, 1000]10query

Maximum number of items to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract bigmaps

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps

Returns all active bigmaps allocated in the contract storage.

Parameters

addressstringrequiredpath

Contract address

tagsBigMapTagsParameter | nullquery

Filters bigmaps tags (metadata, token_metadata, ledger).

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts bigmaps by specified field. Supported fields: id (default), firstLevel, lastLevel, totalKeys, activeKeys, updates.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap by name

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps/{name}

Returns contract bigmap with the specified name or storage path.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Bigmap name is the last piece of the bigmap storage path. For example, if the storage path is ledger or assets.ledger, then the name is ledger. If there are multiple bigmaps with the same name, for example assets.ledger and tokens.ledger, you can specify the full path.

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap keys

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps/{name}/keys

Returns keys of a contract bigmap with the specified name.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Bigmap name is the last piece of the bigmap storage path. For example, if the storage path is ledger or assets.ledger, then the name is ledger. If there are multiple bigmaps with the same name, for example assets.ledger and tokens.ledger, you can specify the full path.

activeboolean | nullquery

Filters keys by status: true - active, false - removed.

keyJsonParameter | nullquery

Filters keys by JSON key. Note, this query parameter supports the following format: ?key{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?key.token_id=....

valueJsonParameter | nullquery

Filters keys by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

lastLevelInt32Parameter | nullquery

Filters bigmap keys by the last update level.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts bigmap keys by specified field. Supported fields: id (default), firstLevel, lastLevel, updates.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap key

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps/{name}/keys/{key}

Returns the specified bigmap key.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Bigmap name is the last piece of the bigmap storage path. For example, if the storage path is ledger or assets.ledger, then the name is ledger. If there are multiple bigmaps with the same name, for example assets.ledger and tokens.ledger, you can specify the full path.

keystringrequiredpath

Either a key hash (expr123...) or a plain value (foo...). Even if the key is complex (an object or an array), you can specify it as is, for example, /keys/{"address":"tz123","nat":"123"}.

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get bigmap key updates

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps/{name}/keys/{key}/updates

Returns updates history for the specified bigmap key.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Bigmap name is the last piece of the bigmap storage path. For example, if the storage path is ledger or assets.ledger, then the name is ledger. If there are multiple bigmaps with the same name, for example assets.ledger and tokens.ledger, you can specify the full path.

keystringrequiredpath

Either a key hash (expr123...) or a plain value (foo...). Even if the key is complex (an object or an array), you can specify it as is, for example, /keys/{"address":"tz123","nat":"123"}.

sortSortParameter | nullquery

Sorts bigmap updates by specified field. Supported fields: id (default).

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the key value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get historical keys

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps/{name}/historical_keys/{level}

Returns a list of bigmap keys at the specific block.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Bigmap name is the last piece of the bigmap storage path. For example, if the storage path is ledger or assets.ledger, then the name is ledger. If there are multiple bigmaps with the same name, for example assets.ledger and tokens.ledger, you can specify the full path.

levelinteger<int32>requiredpath

Level of the block at which you want to get bigmap keys

activeboolean | nullquery

Filters keys by status: true - active, false - removed.

keyJsonParameter | nullquery

Filters keys by JSON key. Note, this query parameter supports the following format: ?key{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?key.token_id=....

valueJsonParameter | nullquery

Filters keys by JSON value. Note, this query parameter supports the following format: ?value{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by, for example: ?value.balance.gt=....

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts bigmap keys by specified field. Supported fields: id (default).

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Get historical key

GET
https://xtz-index.nownodes.io/v1/contracts/{address}/bigmaps/{name}/historical_keys/{level}/{key}

Returns the specified bigmap key at the specific block.

Parameters

addressstringrequiredpath

Contract address

namestringrequiredpath

Bigmap name is the last piece of the bigmap storage path. For example, if the storage path is ledger or assets.ledger, then the name is ledger. If there are multiple bigmaps with the same name, for example assets.ledger and tokens.ledger, you can specify the full path.

levelinteger<int32>requiredpath

Level of the block at which you want to get bigmap key

keystringrequiredpath

Either a key hash (expr123...) or a plain value (foo...). Even if the key is complex (an object or an array), you can specify it as is, for example, /keys/{"address":"tz123","nat":"123"}.

michelineMichelineFormatJsonquery

Format of the bigmap key and value: 0 - JSON, 1 - JSON string, 2 - Micheline, 3 - Micheline string

Response

200OK

Authorization

api-keyAuthapiKey in header

Cycles

Get cycles count

GET
https://xtz-index.nownodes.io/v1/cycles/count

Returns the total number of cycles, including future cycles.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get cycles

GET
https://xtz-index.nownodes.io/v1/cycles

Returns a list of cycles, including future cycles.

Parameters

snapshotIndexInt32Parameter | nullquery

Filters cycles by snapshot index (0..15)

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts cycles by specified field. Supported fields: index (default, desc).

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get cycle by index

GET
https://xtz-index.nownodes.io/v1/cycles/{index}

Returns a cycle at the specified index.

Parameters

indexinteger<int32>requiredpath

Cycle index starting from zero

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Delegates

Get delegates

GET
https://xtz-index.nownodes.io/v1/delegates

Returns a list of delegate accounts.

Parameters

activeBoolParameter | nullquery

Delegate status to filter by (true - only active, false - only deactivated, undefined - all delegates)

lastActivityInt32Parameter | nullquery

Filters delegates by last activity level (where the delegate was updated)

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts delegators by specified field. Supported fields: id (default), activationLevel, deactivationLevel, stakingBalance, balance, numDelegators.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

Response

200OK

Authorization

api-keyAuthapiKey in header

Get delegates count

GET
https://xtz-index.nownodes.io/v1/delegates/count

Returns a number of delegate accounts.

Parameters

activeBoolParameter | nullquery

Delegate status to filter by (true - only active, false - only deactivated, undefined - all delegates)

Response

200OK

Authorization

api-keyAuthapiKey in header

Get delegate by address

GET
https://xtz-index.nownodes.io/v1/delegates/{address}

Returns a delegate with the specified address.

Parameters

addressstringrequiredpath

Delegate address (starting with tz)

Response

200OK

Authorization

api-keyAuthapiKey in header

Domains

Get domains count

GET
https://xtz-index.nownodes.io/v1/domains/count

Returns the total number of domains.

Parameters

idInt32Parameter | nullquery

Filter by internal TzKT id.
Click on the parameter to expand more details.

levelInt32Parameter | nullquery

Filter by the domain level.
Click on the parameter to expand more details.

nameStringParameter | nullquery

Filter by the domain name.
Click on the parameter to expand more details.

ownerAddressNullParameter | nullquery

Filter by the domain owner.
Click on the parameter to expand more details.

addressAddressNullParameter | nullquery

Filter by the address the domain points to.
Click on the parameter to expand more details.

reverseBoolParameter | nullquery

Filter by the 'reverse' flag.
Click on the parameter to expand more details.

expirationDateTimeParameter | nullquery

Filter by the domain expiration.
Click on the parameter to expand more details.

dataJsonParameter | nullquery

Filter by the domain data.
Note, this parameter supports the following format: data{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by (for example, ?data.foo=bar).
Click on the parameter to expand more details.

firstLevelInt32Parameter | nullquery

Filter by level of the block where the domain was first seen.
Click on the parameter to expand more details.

firstTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the domain was first seen.
Click on the parameter to expand more details.

lastLevelInt32Parameter | nullquery

Filter by level of the block where the domain was last seen.
Click on the parameter to expand more details.

lastTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the domain was last seen.
Click on the parameter to expand more details.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get domains

GET
https://xtz-index.nownodes.io/v1/domains

Returns a list of domains.

Parameters

idInt32Parameter | nullquery

Filter by internal TzKT id.
Click on the parameter to expand more details.

levelInt32Parameter | nullquery

Filter by the domain level.
Click on the parameter to expand more details.

nameStringParameter | nullquery

Filter by the domain name.
Click on the parameter to expand more details.

ownerAddressNullParameter | nullquery

Filter by the domain owner.
Click on the parameter to expand more details.

addressAddressNullParameter | nullquery

Filter by the address the domain points to.
Click on the parameter to expand more details.

reverseBoolParameter | nullquery

Filter by the 'reverse' flag.
Click on the parameter to expand more details.

expirationDateTimeParameter | nullquery

Filter by the domain expiration.
Click on the parameter to expand more details.

dataJsonParameter | nullquery

Filter by the domain data.
Note, this parameter supports the following format: data{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by (for example, ?data.foo=bar).
Click on the parameter to expand more details.

firstLevelInt32Parameter | nullquery

Filter by level of the block where the domain was first seen.
Click on the parameter to expand more details.

firstTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the domain was first seen.
Click on the parameter to expand more details.

lastLevelInt32Parameter | nullquery

Filter by level of the block where the domain was last seen.
Click on the parameter to expand more details.

lastTimeTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the domain was last seen.
Click on the parameter to expand more details.

sortSortParameter | nullquery

Sorts items (asc or desc) by the specified field. You can see what fields can be used for sorting in the response description, below.
Click on the parameter to expand more details.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped.
Click on the parameter to expand more details.

limitinteger<int32>[0, 10000]query

Maximum number of items to return.

selectSelectionParameter | nullquery

Specify a comma-separated list of fields to include into response or leave it undefined to get default set of fields. This parameter accepts values of the following format: {field}{path?}{as alias?}, so you can do deep selection (for example, ?select=balance,token.metadata.symbol as token,...).
Note, if you select just one field, the response will be flatten into a simple array of values.
Click on the parameter to expand the details.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get domain by name

GET
https://xtz-index.nownodes.io/v1/domains/{name}

Returns the domain with the specified name.

Parameters

namestringrequiredpath

Domain name

Response

200OK

Authorization

api-keyAuthapiKey in header

Events

Get contract events count

GET
https://xtz-index.nownodes.io/v1/contracts/events/count

Returns a total number of contract events.

Parameters

idInt32Parameter | nullquery

Filter by internal TzKT id.
Click on the parameter to expand more details.

levelInt32Parameter | nullquery

Filter by level of the block where the event was emitted.
Click on the parameter to expand more details.

timestampTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the event was emitted.
Click on the parameter to expand more details.

contractAccountParameter | nullquery

Filter by contract address.
Click on the parameter to expand more details.

codeHashInt32Parameter | nullquery

Filter by hash of the code of the contract emitted the event.
Click on the parameter to expand more details.

tagStringParameter | nullquery

Filter by event tag.
Click on the parameter to expand more details.

payloadJsonParameter | nullquery

Filter by payload.
Note, this parameter supports the following format: payload{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by (for example, ?payload.foo.bar.in=1,2,3).
Click on the parameter to expand more details.

transactionIdInt64Parameter | nullquery

Filter by id of the transaction, in which the event was emitted.
Click on the parameter to expand more details.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get contract events

GET
https://xtz-index.nownodes.io/v1/contracts/events

Returns a list of contract events.

Parameters

idInt32Parameter | nullquery

Filter by internal TzKT id.
Click on the parameter to expand more details.

levelInt32Parameter | nullquery

Filter by level of the block where the event was emitted.
Click on the parameter to expand more details.

timestampTimestampParameter | nullquery

Filter by timestamp (ISO 8601) of the block where the event was emitted.
Click on the parameter to expand more details.

contractAccountParameter | nullquery

Filter by contract address.
Click on the parameter to expand more details.

codeHashInt32Parameter | nullquery

Filter by hash of the code of the contract emitted the event.
Click on the parameter to expand more details.

tagStringParameter | nullquery

Filter by event tag.
Click on the parameter to expand more details.

payloadJsonParameter | nullquery

Filter by payload.
Note, this parameter supports the following format: payload{.path?}{.mode?}=..., so you can specify a path to a particular field to filter by (for example, ?payload.foo.bar.in=1,2,3).
Click on the parameter to expand more details.

transactionIdInt64Parameter | nullquery

Filter by id of the transaction, in which the event was emitted.
Click on the parameter to expand more details.

sortSortParameter | nullquery

Sorts items (asc or desc) by the specified field. You can see what fields can be used for sorting in the response description, below.
Click on the parameter to expand more details.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped.
Click on the parameter to expand more details.

limitinteger<int32>[0, 10000]query

Maximum number of items to return.

selectSelectionParameter | nullquery

Specify a comma-separated list of fields to include into response or leave it undefined to get default set of fields. This parameter accepts values of the following format: {field}{path?}{as alias?}, so you can do deep selection (for example, ?select=balance,token.metadata.symbol as token,...).
Note, if you select just one field, the response will be flatten into a simple array of values.
Click on the parameter to expand the details.

Response

200OK

Authorization

api-keyAuthapiKey in header

Head

Get indexer head

GET
https://xtz-index.nownodes.io/v1/head

Returns indexer head and synchronization status.

Response

200OK

Authorization

api-keyAuthapiKey in header

Helpers

Inject operation

POST
https://xtz-index.nownodes.io/v1/helpers/inject

Injects signed operation to the blockchain and returns the operation hash.

Body

application/json

Forged operation bytes + signature in hex format.

string

Parameters

asyncbooleantruequery

If true, the function returns immediately. Otherwise, the operation will be validated before the result is returned.

Response

200OK

Authorization

api-keyAuthapiKey in header

Run script view

POST
https://xtz-index.nownodes.io/v1/helpers/view/{contract}/{name}

Simulate a call to a michelson view

Body

application/json

Input to be passed to the contract view (in human-readable format, see "Json schema" on tzkt.io)

any

Parameters

contractstringrequiredpath

Contract address

namestringrequiredpath

View name

Response

200OK

Authorization

api-keyAuthapiKey in header

Operations

Get operations by hash

GET
https://xtz-index.nownodes.io/v1/operations/{hash}

Returns a list of operations with the specified hash.
NOTE: if you know in advance what operation type you want to get (e.g. transactions), prefer using /v1/operations/{type}/{hash} (e.g. /v1/operations/transactions/{hash}) instead, because it's much more efficient.

Parameters

hashstringrequiredpath

Operation hash

michelineMichelineFormatJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get operations by hash and counter

GET
https://xtz-index.nownodes.io/v1/operations/{hash}/{counter}

Returns a list of operations with the specified hash and counter.
NOTE: if you know in advance what operation type you want to get (e.g. transactions), prefer using /v1/operations/{type}/{hash}/{counter} (e.g. /v1/operations/transactions/{hash}/{counter}) instead, because it's much more efficient.

Parameters

hashstringrequiredpath

Operation hash

counterinteger<int32>requiredpath

Operation counter

michelineMichelineFormatJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get operations by hash, counter and nonce

GET
https://xtz-index.nownodes.io/v1/operations/{hash}/{counter}/{nonce}

Returns an internal operations with the specified hash, counter and nonce.
NOTE: if you know in advance what operation type you want to get (e.g. transactions), prefer using /v1/operations/{type}/{hash}/{counter}/{nonce} (e.g. /v1/operations/transactions/{hash}/{counter}/{nonce}) instead, because it's much more efficient.

Parameters

hashstringrequiredpath

Operation hash

counterinteger<int32>requiredpath

Operation counter

nonceinteger<int32>requiredpath

Operation nonce (internal)

michelineMichelineFormatJsonquery

Format of the parameters, storage and diffs: 0 - JSON, 1 - JSON string, 2 - raw micheline, 3 - raw micheline string

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get operation status

GET
https://xtz-index.nownodes.io/v1/operations/{hash}/status

Returns operation status: true if applied, false if failed, null (or HTTP 204) if doesn't exist.
NOTE: if you know in advance what operation type you want to check (e.g. transactions), prefer using /v1/operations/{type}/{hash}/status (e.g. /v1/operations/transactions/{hash}/status) instead, because it's much more efficient.

Parameters

hashstringrequiredpath

Operation hash

Response

200OK

Authorization

api-keyAuthapiKey in header

Get endorsements

GET
https://xtz-index.nownodes.io/v1/operations/endorsements

Returns a list of endorsement operations.

Parameters

delegateAccountParameter | nullquery

Filters endorsements by delegate. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters endorsements by level.

timestampDateTimeParameter | nullquery

Filters endorsements by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts endorsements by specified field. Supported fields: id (default), level.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get endorsement by hash

GET
https://xtz-index.nownodes.io/v1/operations/endorsements/{hash}

Returns an endorsement operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get endorsements count

GET
https://xtz-index.nownodes.io/v1/operations/endorsements/count

Returns the total number of endorsement operations.

Parameters

levelInt32Parameter | nullquery

Filters endorsements by level.

timestampDateTimeParameter | nullquery

Filters endorsements by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get preendorsements

GET
https://xtz-index.nownodes.io/v1/operations/preendorsements

Returns a list of preendorsement operations.

Parameters

delegateAccountParameter | nullquery

Filters by delegate. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters by level.

timestampDateTimeParameter | nullquery

Filters by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts by specified field. Supported fields: id (default), level.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get preendorsement by hash

GET
https://xtz-index.nownodes.io/v1/operations/preendorsements/{hash}

Returns an preendorsement operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get preendorsements count

GET
https://xtz-index.nownodes.io/v1/operations/preendorsements/count

Returns the total number of preendorsement operations.

Parameters

levelInt32Parameter | nullquery

Filters by level.

timestampDateTimeParameter | nullquery

Filters by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get ballots

GET
https://xtz-index.nownodes.io/v1/operations/ballots

Returns a list of ballot operations.

Parameters

delegateAccountParameter | nullquery

Filters ballots by delegate. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters ballots by level.

timestampDateTimeParameter | nullquery

Filters ballots by timestamp.

epochInt32Parameter | nullquery

Filters ballots by voting epoch.

periodInt32Parameter | nullquery

Filters ballots by voting period.

proposalProtocolParameter | nullquery

Filters ballots by proposal hash.

voteVoteParameter | nullquery

Filters ballots by vote (yay, nay, pass).

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts ballots by specified field. Supported fields: id (default), level.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get ballot by hash

GET
https://xtz-index.nownodes.io/v1/operations/ballots/{hash}

Returns a ballot operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get ballots count

GET
https://xtz-index.nownodes.io/v1/operations/ballots/count

Returns the total number of ballot operations.

Parameters

levelInt32Parameter | nullquery

Filters ballot operations by level.

timestampDateTimeParameter | nullquery

Filters ballot operations by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get proposals

GET
https://xtz-index.nownodes.io/v1/operations/proposals

Returns a list of proposal operations.

Parameters

delegateAccountParameter | nullquery

Filters proposal operations by delegate. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters proposal operations by level.

timestampDateTimeParameter | nullquery

Filters proposal operations by timestamp.

epochInt32Parameter | nullquery

Filters proposal operations by voting epoch.

periodInt32Parameter | nullquery

Filters proposal operations by voting period.

proposalProtocolParameter | nullquery

Filters proposal operations by proposal hash.

duplicatedBoolParameter | nullquery

Specify whether to include or exclude duplicates, which didn't actually upvote a proposal.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts proposal operations by specified field. Supported fields: id (default), level.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get proposal by hash

GET
https://xtz-index.nownodes.io/v1/operations/proposals/{hash}

Returns a proposal operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get proposals count

GET
https://xtz-index.nownodes.io/v1/operations/proposals/count

Returns the total number of proposal operations.

Parameters

levelInt32Parameter | nullquery

Filters proposal operations by level.

timestampDateTimeParameter | nullquery

Filters proposal operations by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get activations

GET
https://xtz-index.nownodes.io/v1/operations/activations

Returns a list of activation operations.

Parameters

accountAccountParameter | nullquery

Filters activations by account. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters activations by level.

timestampDateTimeParameter | nullquery

Filters activations by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts activations by specified field. Supported fields: id (default), level, balance.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get activation by hash

GET
https://xtz-index.nownodes.io/v1/operations/activations/{hash}

Returns an activation operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get activations count

GET
https://xtz-index.nownodes.io/v1/operations/activations/count

Returns the total number of activation operations.

Parameters

levelInt32Parameter | nullquery

Filters activations by level.

timestampDateTimeParameter | nullquery

Filters activations by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double baking

GET
https://xtz-index.nownodes.io/v1/operations/double_baking

Returns a list of double baking operations.

Parameters

anyofAnyOfParameter | nullquery

Filters double baking operations by any of the specified fields. Example: anyof.accuser.offender=tz1... will return operations where accuser OR offender is equal to the specified value. This parameter is useful when you need to retrieve all operations associated with a specified account.

accuserAccountParameter | nullquery

Filters double baking operations by accuser. Allowed fields for .eqx mode: offender.

offenderAccountParameter | nullquery

Filters double baking operations by offender. Allowed fields for .eqx mode: accuser.

levelInt32Parameter | nullquery

Filters double baking operations by level.

timestampDateTimeParameter | nullquery

Filters double baking operations by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts double baking operations by specified field. Supported fields: id (default), level, accusedLevel, accuserRewards, offenderLostDeposits, offenderLostRewards, offenderLostFees.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double baking by hash

GET
https://xtz-index.nownodes.io/v1/operations/double_baking/{hash}

Returns a double baking operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double baking count

GET
https://xtz-index.nownodes.io/v1/operations/double_baking/count

Returns the total number of double baking operations.

Parameters

levelInt32Parameter | nullquery

Filters double baking operations by level.

timestampDateTimeParameter | nullquery

Filters double baking operations by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double endorsing

GET
https://xtz-index.nownodes.io/v1/operations/double_endorsing

Returns a list of double endorsing operations.

Parameters

anyofAnyOfParameter | nullquery

Filters double endorsing operations by any of the specified fields. Example: anyof.accuser.offender=tz1... will return operations where accuser OR offender is equal to the specified value. This parameter is useful when you need to retrieve all operations associated with a specified account.

accuserAccountParameter | nullquery

Filters double endorsing operations by accuser. Allowed fields for .eqx mode: offender.

offenderAccountParameter | nullquery

Filters double endorsing operations by offender. Allowed fields for .eqx mode: accuser.

levelInt32Parameter | nullquery

Filters double endorsing operations by level.

timestampDateTimeParameter | nullquery

Filters double endorsing operations by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts double endorsing operations by specified field. Supported fields: id (default), level, accusedLevel, accuserRewards, offenderLostDeposits, offenderLostRewards, offenderLostFees.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double endorsing by hash

GET
https://xtz-index.nownodes.io/v1/operations/double_endorsing/{hash}

Returns a double endorsing operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double endorsing count

GET
https://xtz-index.nownodes.io/v1/operations/double_endorsing/count

Returns the total number of double endorsing operations.

Parameters

levelInt32Parameter | nullquery

Filters double endorsing operations by level.

timestampDateTimeParameter | nullquery

Filters double endorsing operations by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double preendorsing

GET
https://xtz-index.nownodes.io/v1/operations/double_preendorsing

Returns a list of double preendorsing operations.

Parameters

anyofAnyOfParameter | nullquery

Filters by any of the specified fields. Example: anyof.accuser.offender=tz1... will return operations where accuser OR offender is equal to the specified value. This parameter is useful when you need to retrieve all operations associated with a specified account.

accuserAccountParameter | nullquery

Filters by accuser. Allowed fields for .eqx mode: offender.

offenderAccountParameter | nullquery

Filters by offender. Allowed fields for .eqx mode: accuser.

levelInt32Parameter | nullquery

Filters by level.

timestampDateTimeParameter | nullquery

Filters by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts by specified field. Supported fields: id (default), level, accusedLevel, accuserRewards, offenderLostDeposits, offenderLostRewards, offenderLostFees.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double preendorsing by hash

GET
https://xtz-index.nownodes.io/v1/operations/double_preendorsing/{hash}

Returns a double preendorsing operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get double preendorsing count

GET
https://xtz-index.nownodes.io/v1/operations/double_preendorsing/count

Returns the total number of double preendorsing operations.

Parameters

levelInt32Parameter | nullquery

Filters by level.

timestampDateTimeParameter | nullquery

Filters by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get nonce revelations

GET
https://xtz-index.nownodes.io/v1/operations/nonce_revelations

Returns a list of seed nonce revelation operations.

Parameters

anyofAnyOfParameter | nullquery

Filters nonce revelation operations by any of the specified fields. Example: anyof.baker.sender=tz1... will return operations where baker OR sender is equal to the specified value. This parameter is useful when you need to retrieve all operations associated with a specified account.

bakerAccountParameter | nullquery

Filters nonce revelation operations by baker. Allowed fields for .eqx mode: sender.

senderAccountParameter | nullquery

Filters nonce revelation operations by sender. Allowed fields for .eqx mode: baker.

levelInt32Parameter | nullquery

Filters nonce revelation operations by level.

revealedCycleInt32Parameter | nullquery

Filters by cycle for which the nonce was revealed.

timestampDateTimeParameter | nullquery

Filters nonce revelation operations by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts nonce revelation operations by specified field. Supported fields: id (default), level, revealedLevel.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get nonce revelation by hash

GET
https://xtz-index.nownodes.io/v1/operations/nonce_revelations/{hash}

Returns a seed nonce revelation operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get nonce revelations count

GET
https://xtz-index.nownodes.io/v1/operations/nonce_revelations/count

Returns the total number of seed nonce revelation operations.

Parameters

levelInt32Parameter | nullquery

Filters seed nonce revelation operations by level.

timestampDateTimeParameter | nullquery

Filters seed nonce revelation operations by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get vdf revelations

GET
https://xtz-index.nownodes.io/v1/operations/vdf_revelations

Returns a list of vdf revelation operations.

Parameters

bakerAccountParameter | nullquery

Filters by baker. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters by level.

cycleInt32Parameter | nullquery

Filters by cycle in which the operation was included.

timestampDateTimeParameter | nullquery

Filters by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts by specified field. Supported fields: id (default), level.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get vdf revelation by hash

GET
https://xtz-index.nownodes.io/v1/operations/vdf_revelations/{hash}

Returns a vdf revelation operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get vdf revelations count

GET
https://xtz-index.nownodes.io/v1/operations/vdf_revelations/count

Returns the total number of vdf revelation operations.

Parameters

levelInt32Parameter | nullquery

Filters by level.

timestampDateTimeParameter | nullquery

Filters by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get drain delegate

GET
https://xtz-index.nownodes.io/v1/operations/drain_delegate

Returns a list of drain delegate operations.

Parameters

anyofAnyOfParameter | nullquery

Filters by any of the specified fields. Example: anyof.delegate.target=tz1... will return operations where delegate OR target is equal to the specified value. This parameter is useful when you need to retrieve all operations associated with a specified account.

delegateAccountParameter | nullquery

Filters by drained baker. Allowed fields for .eqx mode: none.

targetAccountParameter | nullquery

Filters by target. Allowed fields for .eqx mode: none.

levelInt32Parameter | nullquery

Filters by level.

timestampDateTimeParameter | nullquery

Filters by timestamp.

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts by specified field. Supported fields: id (default), level.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get drain delegate by hash

GET
https://xtz-index.nownodes.io/v1/operations/drain_delegate/{hash}

Returns a drain delegate operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get drain delegate count

GET
https://xtz-index.nownodes.io/v1/operations/drain_delegate/count

Returns the total number of drain delegate operations.

Parameters

levelInt32Parameter | nullquery

Filters by level.

timestampDateTimeParameter | nullquery

Filters by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get delegations

GET
https://xtz-index.nownodes.io/v1/operations/delegations

Returns a list of delegation operations.

Parameters

anyofAnyOfParameter | nullquery

Filters delegations by any of the specified fields. Example: anyof.prevDelegate.newDelegate=tz1... will return operations where prevDelegate OR newDelegate is equal to the specified value. This parameter is useful when you need to retrieve all delegations associated with a specified account.

initiatorAccountParameter | nullquery

Filters delegations by initiator. Allowed fields for .eqx mode: prevDelegate, newDelegate.

senderAccountParameter | nullquery

Filters delegations by sender. Allowed fields for .eqx mode: prevDelegate, newDelegate.

prevDelegateAccountParameter | nullquery

Filters delegations by prev delegate. Allowed fields for .eqx mode: initiator, sender, newDelegate.

newDelegateAccountParameter | nullquery

Filters delegations by new delegate. Allowed fields for .eqx mode: initiator, sender, prevDelegate.

levelInt32Parameter | nullquery

Filters delegations by level.

timestampDateTimeParameter | nullquery

Filters delegations by timestamp.

senderCodeHashInt32Parameter | nullquery

Filters by senderCodeHash.

statusOperationStatusParameter | nullquery

Filters delegations by operation status (applied, failed, backtracked, skipped).

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts delegations by specified field. Supported fields: id (default), level, gasUsed, bakerFee.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

limitinteger<int32>[0, 10000]100query

Maximum number of items to return

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get delegation by hash

GET
https://xtz-index.nownodes.io/v1/operations/delegations/{hash}

Returns a delegation operation with specified hash.

Parameters

hashstringrequiredpath

Operation hash

quoteSymbolsNonequery

Comma-separated list of ticker symbols to inject historical prices into response

Response

200OK

Authorization

api-keyAuthapiKey in header

Get delegation status

GET
https://xtz-index.nownodes.io/v1/operations/delegations/{hash}/status

Returns operation status: true if applied, false if failed, null (or HTTP 204) if doesn't exist.

Parameters

hashstringrequiredpath

Operation hash

Response

200OK

Authorization

api-keyAuthapiKey in header

Get delegations count

GET
https://xtz-index.nownodes.io/v1/operations/delegations/count

Returns the total number of delegation operations.

Parameters

levelInt32Parameter | nullquery

Filters delegations by level.

timestampDateTimeParameter | nullquery

Filters delegations by timestamp.

Response

200OK

Authorization

api-keyAuthapiKey in header

Get originations

GET
https://xtz-index.nownodes.io/v1/operations/originations

Returns a list of origination operations.

Parameters

anyofAnyOfParameter | nullquery

Filters originations by any of the specified fields. Example: anyof.sender.initiator=tz1... will return operations where sender OR initiator is equal to the specified value. This parameter is useful when you need to retrieve all originations associated with a specified account.

initiatorAccountParameter | nullquery

Filters origination operations by initiator. Allowed fields for .eqx mode: contractManager, contractDelegate.

senderAccountParameter | nullquery

Filters origination operations by sender. Allowed fields for .eqx mode: contractManager, contractDelegate.

contractManagerAccountParameter | nullquery

Filters origination operations by manager. Allowed fields for .eqx mode: initiator, sender, contractDelegate.

contractDelegateAccountParameter | nullquery

Filters origination operations by delegate. Allowed fields for .eqx mode: initiator, sender, contractManager.

originatedContractAccountParameter | nullquery

Filters origination operations by originated contract. Allowed fields for .eqx mode: none.

idInt64Parameter | nullquery

Filters origination operations by internal TzKT id

typeHashInt32Parameter | nullquery

Filters origination operations by 32-bit hash of originated contract parameter and storage types (helpful for searching originations of similar contracts)

codeHashInt32Parameter | nullquery

Filters origination operations by 32-bit hash of originated contract code (helpful for searching originations of same contracts)

levelInt32Parameter | nullquery

Filters origination operations by level.

timestampTimestampParameter | nullquery

Filters origination operations by timestamp.

senderCodeHashInt32Parameter | nullquery

Filters by senderCodeHash.

anyCodeHashInt32Parameter | nullquery

Filters by either senderCodeHash or codeHash.

statusOperationStatusParameter | nullquery

Filters origination operations by operation status (applied, failed, backtracked, skipped).

selectSelectParameter | nullquery

Specify comma-separated list of fields to include into response or leave it undefined to return full object. If you select single field, response will be an array of values in both .fields and .values modes.

sortSortParameter | nullquery

Sorts originations by specified field. Supported fields: id (default), level, gasUsed, storageUsed, bakerFee, storageFee, allocationFee, contractBalance.

offsetOffsetParameter | nullquery

Specifies which or how many items should be skipped

[...]
